Package: org.codehaus.groovy.grails.compiler.web.taglib

## [Java] Class TagLibraryTransformer

- org.codehaus.groovy.grails.compiler.web.taglib.TagLibraryTransformer

- Enhances tag library classes with the appropriate API at compile time.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static java.lang.String` | `GET_TAG_LIB_NAMESPACE_METHOD_NAME` |
    `static java.util.regex.Pattern` | `TAGLIB_PATTERN` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsArtefactTransformer` | `CURRENT_PREFIX, METHOD_MISSING_METHOD_NAME, OBJECT_CLASS, PUBLIC_STATIC_MODIFIER, STATIC_METHOD_MISSING_METHOD_NAME`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.String` | `getArtefactType()`
    `java.lang.String[]` | `getArtefactTypes()`
    `java.lang.Class<?>` | `getInstanceImplementation()`
    `java.lang.Class<?>` | `getStaticImplementation()`
    `protected void` | `performInjectionInternal(java.lang.String apiInstanceProperty, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `boolean` | `shouldInject(java.net.URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsArtefactTransformer` | `addApiLookupFieldAndSetter, addDelegateInstanceMethod, addDelegateStaticMethod, addEnhancedAnnotation, compareTo, getArtefactType, getArtefactTypes, getInstanceImplementation, getMarkerAnnotation, getStaticImplementation, hasArtefactAnnotation, isCandidateInstanceMethod, isStaticCandidateMethod, isStaticMethodExcluded, isStaticMethodIncluded, isValidArtefactType, isValidTargetClassNode, performInjection, performInjection, performInjectionInternal, performInjectionOnAnnotatedClass, performInjectionOnAnnotatedClass, performInstanceImplementationInjection, performStaticImplementationInjection, populateAutowiredApiLookupMethod, populateDefaultApiLookupMethod, requiresAutowiring, requiresStaticLookupMethod, resolveGenericsPlaceHolders, shouldSkipInjection`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected static final java.lang.String GET_TAG_LIB_NAMESPACE_METHOD_NAME

    - #### public static java.util.regex.Pattern TAGLIB_PATTERN

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.String getArtefactType()

    - #### @java.lang.Override public java.lang.String[] getArtefactTypes()

    - #### @java.lang.Override public java.lang.Class<?> getInstanceImplementation()

    - #### @java.lang.Override public java.lang.Class<?> getStaticImplementation()

    - #### @java.lang.Override protected void performInjectionInternal(java.lang.String apiInstanceProperty, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public boolean shouldInject(java.net.URL url)